let
  lib = (import <nixpkgs> { }).lib;
  readpubkeys = user:
    builtins.filter (k: k != "")
      (lib.splitString "\n" (builtins.readFile (../../../pubkeys + "/${user}.keys")));
in
{
  "matterbridge-env.age".publicKeys = (readpubkeys "sinavir")
    ++ (readpubkeys "hackens-host") ++ (readpubkeys "raito")
    ++ (readpubkeys "gdd") ++ (readpubkeys "backslash");
  "django.age".publicKeys = (readpubkeys "sinavir")
    ++ (readpubkeys "hackens-host") ++ (readpubkeys "raito")
    ++ (readpubkeys "gdd") ++ (readpubkeys "backslash");
  "wg-key.age".publicKeys = (readpubkeys "sinavir")
    ++ (readpubkeys "hackens-host") ++ (readpubkeys "raito")
    ++ (readpubkeys "gdd") ++ (readpubkeys "backslash");
}
