{
  config,
  pkgs,
  lib,
  ...
}: {
  environment.systemPackages = with pkgs; [
    sqlite-web
    dhcpdump
    dig
    git
    htop
    jq
    nmap
    npins
    ripgrep
    screen
    tcpdump
    unzip
    vim
    wireguard-tools
  ];

  programs.mtr.enable = true;

  programs.vim.defaultEditor = true;
}
