{ pkgs, python, source, app, envPrefix ? ""}:
pkgs.runCommand "django-static" { } ''
  mkdir -p $out/static
  export ${envPrefix}SECRET_KEY="collectstatic"
  export ${envPrefix}STATIC_ROOT=$out/static
  export ${envPrefix}DEBUG=0
  export ${envPrefix}ALLOWED_HOSTS=
  export ${envPrefix}DB_FILE=
  ${python}/bin/python ${source}/${app}/manage.py collectstatic
''
